Balance Accounts

Create a new account

post

Endpoint to create a new account using a Stripe customer ID. Verifies the existence of the customer ID in Stripe before account creation.

Authorizations
api_keystringRequired
Body
stripe_customer_idstringOptionalExample: cus_HKJ432LKJ12
initial_balancenumber · floatOptional
Responses
chevron-right
201

Account created successfully

application/json
idstringOptionalExample: account123
stripe_customer_idstringOptionalExample: cus_HKJ432LKJ12
balancenumber · floatOptionalExample: 100
post
/account/create

Get account details

get

Endpoint to retrieve account details.

Authorizations
api_keystringRequired
Path parameters
idstringRequired

Account ID

Responses
get
/account/{id}

Delete an account

delete

Endpoint to delete an account. An account can't be deleted if it still has funds.

Authorizations
api_keystringRequired
Path parameters
idstringRequired

Account ID

Responses
delete
/account/{id}

No content

Last updated